Get Document List

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to retrieve complete Document List.

Endpoint

HTTP Method: GET

Endpoint URL: https://coreapi.impexdocs.com/api/v1/documentlist

Authentication: Required

Response Format (Successfully Retrieved)

A successful retrieval will yield a JSON response containing the following details (in array):

  • Output Type
  • Output Type Id
  • Output Type Description
  • Display Output Type
  • Is Default
  • Is Active
  • Is Deleted

Request Parameters

To fetch document list, use the mentioned end point.

Example

Request

GET https://coreapi.impexdocs.com/api/v1/documentlist

Response

[
    {
        "name": "Master",
        "document_details": [
            {
                "output_type": "Default",
                "output_type_id": 102669,
                "output_type_desc": "Master",
                "display_output_type": "Master",
                "is_default": true,
                "is_active": true,
                "is_deleted": false
            }
        ]
    },
    {
        "name": "Proforma Invoice",
        "document_details": [
            {
                "output_type": "Proforma Invoice_NoPackingSummary",
                "output_type_id": 102674,
                "output_type_desc": "",
                "display_output_type": "",
                "is_default": false,
                "is_active": true,
                "is_deleted": false
            }
        ]
    },
  	//Additional Document List Details
]    

This example demonstrates a request to fetch the document list. The response includes details in array such as the output type, output type id, output type desc, display output type, is default, is active, is deleted.

Query Params
boolean
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json